Skip to main content
GET
cURL

Authorizations

Authorization
string
header
default:ShippoToken
required

API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123

Headers

SHIPPO-API-VERSION
string
default:2018-02-08

Optional string used to pick a non-default API version to use. See our API version guide.

Example:

"2018-02-08"

SHIPPO-ACCOUNT-ID
string

Optional. The object ID of a Managed Shippo Account. Platform accounts set this to make the request on behalf of one of their managed accounts. See the Platform accounts guide.

Query Parameters

rate
string

Filter by rate ID

object_status
enum<string>

Filter by object status Indicates the status of the Transaction.

Available options:
WAITING,
QUEUED,
SUCCESS,
ERROR,
REFUNDED,
REFUNDPENDING,
REFUNDREJECTED
Example:

"SUCCESS"

tracking_status
enum<string>

Filter by tracking status Indicates the high level status of the shipment.

Available options:
UNKNOWN,
PRE_TRANSIT,
TRANSIT,
DELIVERED,
RETURNED,
FAILURE
Example:

"DELIVERED"

page
integer<int64>
default:1

The page number you want to select

results
integer<int64>
default:25

The number of results to return per page (max 100)

Required range: x <= 100
object_created_gt
string

Object(s) created greater than a provided date and time.

object_created_gte
string

Object(s) created greater than or equal to a provided date and time.

object_created_lt
string

Object(s) created lesser than a provided date and time.

object_created_lte
string

Object(s) created lesser than or equal to a provided date and time.

Response

Paginated list of transactions

next
string
Example:

"baseurl?page=3&results=10"

previous
string
Example:

"baseurl?page=1&results=10"

results
object[]